Subject: bug#47498: 28.0.50; follow-mode misses a line with tiling window manager

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Mar 2021 16:15:12 +0300

> Date: Tue, 30 Mar 2021 15:56:00 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> From my POV, follow-mode's design is fundamentally flawed, when
> variable-size fonts and fractional line display are considered.

Oh, and let's not forget features like display properties and
overlays, which can disrupt the display continuity if they happen on
the last line of the left window and continue into the first line of
the right one.  That's because follow-mode works by forcing the
window's start point, but Emacs is unable to have the window-start
point in the middle of a display property or overlay string.